DtMmdbBookGetTabList(library call)

NAME
DtMmdbBookGetTabList — obtains the list of tab sections in a book

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle** DtMmdbBookGetTabList(
DtMmdbInfoRequest* request,
unsigned int* length);

DESCRIPTION

The DtMmdbBookGetTabList function returns the list of tab sections for the specified book object. It returns the list in a NULL-terminated array. Use the DtMmdbFreeHandleList function to release the memory when the array is no longer needed. Table lookup is involved when the identifier is specified by either the primary_oid or sequence_num field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field, as well as a valid value in the primary_oid, the secondary_oid, or the sequence_num field. The primary_oid represents the DtInfo Database object identifier of the TOC section; the secondary_oid represents the object identifier of the book itself; and the sequence_num represents the sequence number of the book within the bookcase (0 based). If more than one of these fields have a valid value, the order of precedence is: primary_oid, secondary_oid, and, last, sequence_num.

length
    Specifies the variable to receive the length of the returned list of sections, if the returned pointer to the list is not NULL.

RETURN VALUE

If DtMmdbBookGetTabList completes successfully, it returns a pointer to the list of sections for the book. If it fails, it returns a NULL pointer.

EXAMPLE

None.

SEE ALSO

TO BE SUPPLIED.